.topp H1 {
    display: flex;
    justify-content: center;
    font-size: 25px;
    font-weight: 600;
}
.bottom a {
   color:#fff !important;
   text-decoration:underline !important;
}
.bottom a svg {
   display:none;
}
.topp {
   box-shadow:rgb(71, 80, 98) 0px 2px 13px -6px;
   position:relative;
   padding-bottom:5px;
}
.topp > div:first-child {
 	background-color:#04042a;
}
.topp .sv-image-portlet {
 	display:flex;
	justify-content:center;  
}
.bottom {
   display:flex;
	justify-content:center;
   background-color:#04042a;
}
.bottom .sv-fixed-fluid-grid > div {
   display:flex;
   flex-direction:row-reverse;
   margin:0 15px;
   justify-content:space-evenly;
}
.bottom p {
   color:#fff;
}
.bottom img {
   width:110px;
   height:13px;
   margin:5px 40px 0 0;
}


.clickable {
  cursor: pointer;
}

.disabled {
  cursor: not-allowed;
  background-color: #eee;
  color: #666;
}

.hidden {
  display: none;
}

.breach-detection-wrapper {
  background-color: var(--env-block-background-color);
  border: 0 !important;
  font-family: var(--env-font-family);
  color: var(--env-block-font-color);
  max-width: 83% !important;
  margin: 1em auto;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.breach-detection__form-container {
    padding: 1em;
}

.breach-detection__form {
  display: flex;
  flex-direction: column;
  gap: 1em;
  padding: 1em;
}

.breach-detection__input {
  font-size: 12px;
}

.breach-detection__email-field {
  width: 100%;
  margin-bottom: 1em;
  text-align: center;   
}

.breach-detection__input-label {
  font-weight: normal !important;
  margin-bottom: 0.5em;
}

.breach-detection__input-field {
  display: flex;
  flex-direction: column;
  margin-top: 1em;
  padding: 1em;
  text-align: center;
  font-size: 1.1em;
}

.breach-detection__required-border {
  border: 0 !important;
  border-radius: 2em;
   background-color:#E8F0FE;
  width: -webkit-fill-available;
}

.breach-detection__err {
  color: red;
  font-size: 0.875em;
  margin-top: 0.25em;
}

.breach-detection__invalid {
  border-color: red;
}

.breach-detection__button-disabled {
  padding: 1em;
  background-color: gray;
  color: white;
  border:  2px solid gray;
  border-radius: 2em;
  font-size: 15px;
  cursor: not-allowed;
  transition: background-color 0.3s ease;
}

.breach-detection__button {
  padding: 1em;
  background-color: #00ff00 !important;
  color: black !important;
  border: 2px solid #00ff00 !important;
  border-radius: 2em;
  font-size: 1.2em;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.breach-detection__button:hover {
  background-color: #00ff00 !important;
  xcolor: white !important;
  xtext-decoration:underline;
  border: 2px solid #000 !important;
}

.breach-detection__read-more-button {
  padding: 20px 32px !important;
  background-color: #0000c8 !important;
  color: white;
  border:  2px solid #0000c8 !important;
  border-radius: 50px !important;
  font-size: 1.1em !important;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.breach-detection__read-more-button:hover {
  background-color: #fff !important;
  color: black;
}

.breach-detection__err-container {
  padding-left: 1em;
  padding-right: 1em;
}

.breach-detection__search-results {
  margin: auto;
  max-width: 83% !important;
  text-align: center;  
}

.breach-detection__breached-wrapper {
  margin-bottom: 1em;
  padding: 2em;
  border: 1px solid var(--env-block-border-color);
  border-radius: 0.25em;
  background-color: var(--env-block-background-color);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);  
}

.breach-detection__breached-results {
  margin-top: 0.5em;
}

.breach-detection__error-icon {
  background-image: url(/images/18.5caaced619a956bf3e5a1/1762959671206/icon_exclamation_mark_red.svg);
  background-repeat: no-repeat;
  background-position: center center;
  /*background-size: 48px 48px;*/
  padding-top: 4em;
  padding-bottom: 4em;
}

.breach-detection__green-tick-icon {
  background-image: url(/images/18.5caaced619a956bf3e5a0/1762959662981/icon_tick_green.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 80px 80px;
  padding-top: 4em;
  padding-bottom: 4em;
}

.breach-detection__breached-title {
  font-weight: bold;
  font-size: 1.4em;
  margin-bottom: 1em;
}

.breach-detection__breached-msg {
  margin-top: 0.5em;
}

.breach-detection__breached-msg-p {
  margin-block-start: unset;
  margin-block-end: unset;
}

.breach-detection__seperator {
  height: 1px;
  margin: 1em 0;
}

.breach-detection__no-breach-wrapper {
  margin-bottom: 1em;
  padding: 5px 2em 2em 2em !important;
  border: 1px solid var(--env-block-border-color);
  border-radius: 0.25em;
  background-color: var(--env-block-background-color);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.breach-detection__no-breach {
  font-weight: normal !important;
  font-size: 1em !important;
}

.breach-detection__no-breach-title {
  font-weight: bold;
  font-size: 1.1em;
}

.breach-detection__no-breach-msg {
  margin-top: 0.5em;
}

.breach-detection__no-breach-msg-p {
  margin-block-start: unset;
  margin-block-end: unset;
}

.breach-detection__no-breach-msg-p {
  margin-block-start: unset;
  margin-block-end: unset;
}

#image_loading_spinner {
  position: absolute;
  left: 47.5%;
  top: 31%;
  z-index: 10;
}

#spinner-overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  background-color: rgba(0, 0, 0, 0.3);

  z-index: 3;
  cursor: pointer;
}
